Bug 51610 - toupper() does not work correctly in /etc/init.d/httpd
Summary: toupper() does not work correctly in /etc/init.d/httpd
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-12 22:04 UTC by Gorkem Cetin
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 10:08:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gorkem Cetin 2001-08-12 22:04:54 UTC
Description of Problem:

I haven't tested roswell beta yet, but this problem exists in
RH 7.1 and I couldnt find any traces in bugzilla.. 

/etc/init.d/httpd uses a toupper function to add Apache modules
to httpd binary. But if LANG=tr_TR, toupper doest not work correctly
in this script.

How Reproducible:

Install the system in Turkish, run service httpd restart, ps auxww
shows quite bad results :-) (i.e modules names having Turkish
characters)

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Glen Foster 2001-08-13 19:09:16 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Nalin Dahyabhai 2001-08-14 21:49:19 UTC
This should be fixed in 1.3.20-13 and later.  Please reopen this bug ID if you
find that it does not solve the problem.


Note You need to log in before you can comment on or make changes to this bug.